#ifndef TRANSLATIONS_DBG_H

// the following functions evaluate the SSWFs the same way as
// certain functions in translations.h, but they leave them
// as they are, without rearranging them into the translation
// operators.

#include "translations.h"

int qpms_trans_calculator_test_sswf(const qpms_trans_calculator *c,
    _Complex double *dest, const csph_t kdlj, const  qpms_bessel_t J);

int qpms_trans_calculator_test_sswf_lc3p(const qpms_trans_calculator *c,
    _Complex double *dest, const _Complex double k, const cart3_t r, const qpms_bessel_t J);


#ifdef LATTICESUMS32
int qpms_trans_calculator_test_sswf_e32(const qpms_trans_calculator *c,
    _Complex double * const sigmas_total, double * serr_total,
    const double eta, const _Complex double k,
    const cart2_t b1, const cart2_t b2,
    const cart2_t beta,
    const cart3_t particle_shift,
    double maxR, double maxK,
    const qpms_ewald_part parts);
#endif // LATTICESUMS32

#endif // TRANSLATIONS_DBG_H
